# fichier d'exemple 'run' du projet

# project libs importations
import lib.ultra_mastermind_obj as libobj
import lib.ultra_mastermind_imp as libomp

# constants 
PM = "Hello, world!"
NG = 1000
N  = 400
TS = 0.5
TM = 0.01
ALPHA = 0.5
FITNESS_METHOD = 3

# main function
def main() -> None:
    pop = libobj.Population(pm = PM, ng = NG, n = N, ts = TS, tm = TM, alpha = ALPHA, fm = FITNESS_METHOD)
    pop.run()

if __name__ == "__main__":
	main()
